<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table41', function (Blueprint $table) {
            $table->id('DatasetTable41Id');
            $table->integer('dataset_id');
            $table->string('jenis_dokumen')->nullable();
            $table->string('kegiatan')->nullable();
            $table->string('komisi_penilai')->nullable();
            $table->string('pemrakarsa')->nullable();
            $table->string('dokumen')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table41s');
    }
};
